<html>
   <head>
<script>
function onClick() {
  alert("click");
}

window.addEventListener('DOMContentLoaded', function (event) {
  console.log("DOM fully loaded and parsed");
  let b = document.getElementById("my-button");
  b.addEventListener("click", onClick);
});
</script> 
   </head> 
<body> 
<button id="my-button">Press F</button>
</body>
   </html>
<!--
 <HTML> 
<TITLE>
Динамические таблицы
</TITLE>
<style type ="text/css">
#TabEl TD{width:60px; height:60px}
</style>
<HEAD>
<SCRIPT Language="javascript">
function DrawTable(){
var tab="<TABLE border id=TabEl onClick='doCr();'>";
for (var i=0; i<10; i++) {
tab+="<TR>";
      for (var j=0; j<10; j++) 
      tab+="<TD>&nbsp;</TD>";
}
tab+="</TABLE>";

return tab;
   };
function doCr() {
if ("TD"==event.srcElement.tagName) {
                  var k=event.srcElement;
                  if ("&nbsp;"==k.innerHTML)
                  {k.innerHTML="X";}
                 else
                  k.innerHTML="&nbsp;";
} }
function quant() {
var n=0;
for (var r=0; r<10; r++) {
var x=TabEl.rows[r];
                   for (var c=0; c<10; c++) {
                if (x.cells[c].innerHTML=="X")
                n+=1;
}
} 
var msg="Кол-во = "+n;
my.value=msg;

}
// Заказ
var price = new Array();
price[0]=1.5;
price[1]=2.5;
price[2]=3;
price[3]=2;
function ref() {
var client=new Array();
client=window.showModalDialog("zakaz.html","", "");
// кол-во блюд и общая стоимость
var zakN=0;
var zakS=0;
for (var i=0; i<4; i++) {
zakN+=client[i];
zakS+=client[i]*price[i];
}
Sum.value=zakS;
Num.value="Вы заказали "+zakN+" блюда";
}
</SCRIPT >
</HEAD>
<BODY>
<SCRIPT  Language="javascript">
alert("proba_Interface");
if (confirm("Вы - студент?") ) {
               n=prompt("ВАШЕ имя=") ;
               document.write("Welcоme "+n+"!"+"<BR>"); 
                document.write("Играем в МОРСКОЙ БОЙ"+"<BR>"); 
                document.write(DrawTable());
}
else  {
document.write("Оформляем заказ");
} 
</SCRIPT>
<BR> <BR>
<INPUT type="button"  value="REZALT" onClick="quant() ;">
<BR> <BR>Количество заполненных ячеек:
<INPUT type="text" id="my" >
<BR> <BR>
<center>
<H2> Ресторан МОРСКАЯ ПУЧИНА</H2>
<INPUT type="button"  value="ЗАКАЗ" onClick="ref() ;">
<BR> <BR>
<INPUT type="text" id="Num" size=25>
<BR> <BR>
Стоимость заказа: <BR>
<INPUT type="text" id="Sum" size=10>
</center>
</BODY>
</HTML>





